Index: test/edu/ucsb/nceas/metacattest/VersionTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/VersionTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/VersionTest.java	(revision 4080)
@@ -27,9 +27,10 @@
 import java.io.FileNotFoundException;
 import java.io.IOException;
 
-import edu.ucsb.nceas.metacat.MetaCatUtil;
-import edu.ucsb.nceas.metacat.Version;
+import edu.ucsb.nceas.metacat.MetaCatVersion;
+import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.utilities.Options;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 import junit.framework.TestCase;
 
@@ -50,7 +51,6 @@
         try {
             File propertyFile = new File("./lib/metacat.properties");
             Options options = Options.initialize(propertyFile);
-            MetaCatUtil util = new MetaCatUtil();
         } catch (FileNotFoundException e) {
             fail(e.getMessage());
         } catch (IOException e) {
@@ -63,8 +63,13 @@
      */
     public void testGetVersion()
     {
-        assertTrue(MetaCatUtil.getOption("version").equals(Version.getVersion()));
-        System.out.println(Version.getVersion());
+    	try {
+            assertTrue(PropertyService.getProperty("application.metacatVersion").equals(MetaCatVersion.getVersionID()));
+            System.out.println(MetaCatVersion.getVersionID());
+    	} catch (PropertyNotFoundException pnfe) {
+    		fail ("Could not get metacat version property; " + pnfe.getMessage());
+    	}
+
     }
 
     /**
@@ -72,9 +77,13 @@
      */
     public void testPrintVersionAsXml()
     {
-        System.out.println(Version.getVersionAsXml());
-        assertTrue(Version.getVersionAsXml().indexOf(
-                MetaCatUtil.getOption("version")) != -1);
+    	try {
+        System.out.println(MetaCatVersion.getVersionAsXml());
+        assertTrue(MetaCatVersion.getVersionAsXml().indexOf(
+                PropertyService.getProperty("application.metacatVersion")) != -1);
+    	} catch (PropertyNotFoundException pnfe) {
+    		fail ("Could not get metacat version property; " + pnfe.getMessage());
+    	}
     }
 
 }
Index: test/edu/ucsb/nceas/metacattest/BuildIndexTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/BuildIndexTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/BuildIndexTest.java	(revision 4080)
@@ -37,7 +37,6 @@
 import java.util.TimeZone;
 
 import edu.ucsb.nceas.metacat.DocumentImpl;
-import edu.ucsb.nceas.metacat.MetaCatUtil;
 import edu.ucsb.nceas.metacat.McdbException;
 import edu.ucsb.nceas.metacat.client.InsufficientKarmaException;
 import edu.ucsb.nceas.metacat.client.Metacat;
@@ -45,8 +44,12 @@
 import edu.ucsb.nceas.metacat.client.MetacatException;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
 import edu.ucsb.nceas.utilities.Options;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
 import junit.framework.TestCase;
 import junit.framework.TestSuite;
@@ -56,7 +59,31 @@
  */
 public class BuildIndexTest extends TestCase
 {
-	 /* Initialize Options*/
+    private static String metacatUrl;
+    private static String propertyFileName;
+    private static String username;
+	private static String password;
+	private static String anotheruser;
+	private static String anotherpassword;
+	static {
+		try {
+		    metacatUrl = SystemUtil.getServletURL();
+		    propertyFileName = SystemUtil.getContextDir()
+			+ "/WEB-INF/metacat.properties";
+			username = PropertyService.getProperty("mcuser");
+			password = PropertyService.getProperty("mcpassword");
+		} catch (PropertyNotFoundException pnfe) {
+			System.err.println("Could not get property in static block: " 
+					+ pnfe.getMessage());
+		}
+	}
+
+	private String prefix = "test";
+	private String newdocid = null;
+	private String testfile = "test/eml-sample.xml";
+	private String testdocument = "";
+	private Metacat m;
+    /* Initialize Options */
     static
     {
   	  try
@@ -63,7 +90,7 @@
   	  {
   		  Options.initialize(new File("build/tests/metacat.properties"));
   		  MetaCatUtil.pathsForIndexing 
-  		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
+  		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
   	  }
   	  catch(Exception e)
   	  {
@@ -70,19 +97,6 @@
   		  System.err.println("Exception in initialize option in MetacatServletNetTest "+e.getMessage());
   	  }
     }
-    
-    private String metacatUrl = MetaCatUtil.getOption("metacatUrl");;
-    private String propertyFileName = 
-    	MetaCatUtil.getOption("installDir") + "/WEB-INF/metacat.properties";
-    private String username = MetaCatUtil.getOption("mcuser");
-    private String password = MetaCatUtil.getOption("mcpassword");
-    private String prefix = "test";
-    private String newdocid = null;
-    private String testfile = "test/eml-sample.xml";
-    private String testdocument = "";
-    private Metacat m;
-    private MetaCatUtil util;
-   
 
     /**
      * Constructor to build the test
@@ -103,12 +117,13 @@
         try {
             File propertyFile = new File(propertyFileName);
             Options options = Options.initialize(propertyFile);
-            util = new MetaCatUtil();
-            metacatUrl = MetaCatUtil.getOption("junittesturl");
+            metacatUrl = SystemUtil.getServletURL();
         } catch (FileNotFoundException e) {
             fail(e.getMessage());
         } catch (IOException e) {
             fail(e.getMessage());
+        } catch (PropertyNotFoundException pnfe) {
+        	fail (pnfe.getMessage());
         }
 
         try {
Index: test/edu/ucsb/nceas/metacattest/InlineDataAccessTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/InlineDataAccessTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/InlineDataAccessTest.java	(revision 4080)
@@ -33,7 +33,6 @@
 import java.util.SimpleTimeZone;
 import java.util.TimeZone;
 
-import edu.ucsb.nceas.metacat.MetaCatUtil;
 import edu.ucsb.nceas.metacat.client.InsufficientKarmaException;
 import edu.ucsb.nceas.metacat.client.Metacat;
 import edu.ucsb.nceas.metacat.client.MetacatAuthException;
@@ -40,8 +39,10 @@
 import edu.ucsb.nceas.metacat.client.MetacatException;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
-import edu.ucsb.nceas.utilities.Options;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
 import junit.framework.TestCase;
 import junit.framework.TestSuite;
@@ -50,27 +51,27 @@
 /**
  * A JUnit test for testing Access Control for Inline data in Metacat
  */
-public class InlineDataAccessTest extends TestCase {
-	 
-	/* Initialize Options*/
-    static
-    {
-  	  try
-  	  {
-  		  Options.initialize(new File("build/tests/metacat.properties"));
-  		  MetaCatUtil.pathsForIndexing 
-  		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
-  	  }
-  	  catch(Exception e)
-  	  {
-  		  System.err.println("Exception in initialize option in MetacatServletNetTest "+e.getMessage());
-  	  }
-    }
-    private String metacatUrl = MetaCatUtil.getOption("metacatUrl");;
-    private String username = MetaCatUtil.getOption("mcuser");
-    private String password = MetaCatUtil.getOption("mcpassword");
-    private String anotheruser = MetaCatUtil.getOption("mcanotheruser");
-    private String anotherpassword = MetaCatUtil.getOption("mcanotherpassword");
+public class InlineDataAccessTest
+    extends TestCase {
+
+    private static String metacatUrl;
+    private static String username;
+	private static String password;
+	private static String anotheruser;
+	private static String anotherpassword;
+	static {
+		try {
+		    metacatUrl = SystemUtil.getServletURL();
+			username = PropertyService.getProperty("mcuser");
+			password = PropertyService.getProperty("mcpassword");
+			anotheruser = PropertyService.getProperty("mcanotheruser");
+			anotherpassword = PropertyService.getProperty("mcanotherpassword");
+		} catch (PropertyNotFoundException pnfe) {
+			System.err.println("Could not get property in static block: " 
+					+ pnfe.getMessage());
+		}
+	}
+
     private String prefix = "test";
     private String newdocid = null;
     private String testdocument = "";
Index: test/edu/ucsb/nceas/metacattest/ReplicationServerListTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/ReplicationServerListTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/ReplicationServerListTest.java	(revision 4080)
@@ -27,6 +27,8 @@
 package edu.ucsb.nceas.metacattest;
 
 import edu.ucsb.nceas.metacat.*;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
 import edu.ucsb.nceas.utilities.Options;
 //import edu.ucsb.nceas.morpho.framework.*;
 import junit.framework.Test;
@@ -46,14 +48,17 @@
  */
 public class ReplicationServerListTest extends TestCase
 {
+    private static String metacatReplicationURL;
 	 /* Initialize Options*/
 	  static
 	  {
 		  try
 		  {
+			 metacatReplicationURL=
+                     PropertyService.getProperty("junitreplicationurl");
 			  Options.initialize(new File("build/tests/metacat.properties"));
 			  MetaCatUtil.pathsForIndexing 
-			         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
+			         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
 		  }
 		  catch(Exception e)
 		  {
@@ -60,8 +65,7 @@
 			  System.err.println("Exception in initialize option in MetacatServletNetTest "+e.getMessage());
 		  }
 	  }
-     private static String metacatReplicationURL=
-                                   MetaCatUtil.getOption("junitreplicationurl");
+
      private ReplicationServerList serverList = null;
      private static final Log log = LogFactory.getLog("edu.ucsb.nceas.metacattest.ReplicationServerListTest");
  
Index: test/edu/ucsb/nceas/metacattest/client/MetacatClientTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/client/MetacatClientTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/client/MetacatClientTest.java	(revision 4080)
@@ -39,7 +39,6 @@
 import java.util.TimeZone;
 
 import edu.ucsb.nceas.metacat.DocumentImpl;
-import edu.ucsb.nceas.metacat.MetaCatUtil;
 import edu.ucsb.nceas.metacat.client.DocumentNotFoundException;
 import edu.ucsb.nceas.metacat.client.InsufficientKarmaException;
 import edu.ucsb.nceas.metacat.client.Metacat;
@@ -47,8 +46,11 @@
 import edu.ucsb.nceas.metacat.client.MetacatException;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
-import edu.ucsb.nceas.utilities.Options;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
 import junit.framework.TestCase;
 import junit.framework.TestSuite;
@@ -61,27 +63,27 @@
  */
 public class MetacatClientTest extends TestCase
 {
-	 /* Initialize Options*/
-    static
-    {
-  	  try
-  	  {
-  		  Options.initialize(new File("build/tests/metacat.properties"));
-  		  MetaCatUtil.pathsForIndexing 
-  		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
-  	  }
-  	  catch(Exception e)
-  	  {
-  		  System.err.println("Exception in initialize option in MetacatServletNetTest "+e.getMessage());
-  	  }
-    }
-    private String metacatUrl = MetaCatUtil.getOption("metacatUrl");
+
     private String wrongMetacatUrl=
-                    "http://somepalce.somewhere.com/some/servlet/metacat";
-    private String username = MetaCatUtil.getOption("mcuser");
-    private String password = MetaCatUtil.getOption("mcpassword");
-    private String anotheruser = MetaCatUtil.getOption("mcanotheruser");
-    private String anotherpassword = MetaCatUtil.getOption("mcanotherpassword");
+    	"http://somepalce.somewhere.com/some/servlet/metacat";
+  
+    private static String metacatUrl;
+    private static String username;
+	private static String password;
+	private static String anotheruser;
+	private static String anotherpassword;
+	static {
+		try {
+		    metacatUrl = SystemUtil.getServletURL();
+			username = PropertyService.getProperty("mcuser");
+			password = PropertyService.getProperty("mcpassword");
+			anotheruser = PropertyService.getProperty("mcanotheruser");
+			anotherpassword = PropertyService.getProperty("mcanotherpassword");
+		} catch (PropertyNotFoundException pnfe) {
+			System.err.println("Could not get property in static block: " 
+					+ pnfe.getMessage());
+		}
+	}
     private String failpass = "uidfnkj43987yfdn";
     private String prefix = "test";
     private String newdocid = null;
Index: lib/spatial/kml.jsp
===================================================================
--- lib/spatial/kml.jsp	(revision 4079)
+++ lib/spatial/kml.jsp	(revision 4080)
@@ -1,7 +1,7 @@
-<%@ page import="edu.ucsb.nceas.metacat.MetaCatUtil" %>
+<%@ page import="edu.ucsb.nceas.metacat.util.SystemUtil" %>
 <%
 
-String url = MetaCatUtil.getOption("baseUrl");
+String url = SystemUtil.getContextURL();
 String layerName = "metacat:data_points";
 
 String redirectURL = url + "/wms?service=WMS&request=GetMap&format=application/vnd.google-earth.kml+XML&width=1024&height=1024&srs=EPSG:4326&layers=" + layerName + "&styles=&bbox=-180,-90,180,90";
Index: lib/admin/login-footer-section.jsp
===================================================================
--- lib/admin/login-footer-section.jsp	(nonexistent)
+++ lib/admin/login-footer-section.jsp	(revision 4080)
@@ -0,0 +1,45 @@
+<%@ page    language="java" import="java.util.Vector" %>
+<% 
+/**
+ *  '$RCSfile$'
+ *    Copyright: 2008 Regents of the University of California and the
+ *               National Center for Ecological Analysis and Synthesis
+ *  For Details: http://www.nceas.ucsb.edu/
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ * 
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+%>
+
+<%
+if( request.getSession().getAttribute("userId") != null) {  
+%>
+  <div class=small-message>
+    You are logged in as: <%= request.getSession().getAttribute("userId") %><br>
+    <a href="<%= request.getContextPath() %>/admin?configureType=login">log in as different user</a>
+  </div>
+<% 
+} else {
+%>
+  <div class=small-message>
+    You are not logged in. %><br>
+    <a href="<%= request.getContextPath() %>/admin?configureType=login">log in as different user</a>
+  </div>
+<%
+}
+%>
\ No newline at end of file

Index: lib/admin/database-configuration.jsp
===================================================================
--- lib/admin/database-configuration.jsp	(nonexistent)
+++ lib/admin/database-configuration.jsp	(revision 4080)
@@ -0,0 +1,106 @@
+<%@ page    language="java" import="java.util.Vector,edu.ucsb.nceas.metacat.admin.DBAdmin,edu.ucsb.nceas.metacat.service.PropertyService" %>
+<%@ page    language="java" import="edu.ucsb.nceas.metacat.DBVersion,edu.ucsb.nceas.metacat.MetaCatVersion" %>
+
+<% 
+/**
+ *  '$RCSfile$'
+ *    Copyright: 2008 Regents of the University of California and the
+ *               National Center for Ecological Analysis and Synthesis
+ *  For Details: http://www.nceas.ucsb.edu/
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ * 
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+%>
+
+<% 
+	MetaCatVersion metacatVersion = (MetaCatVersion)request.getAttribute("metaCatVersion"); 	
+	DBVersion databaseVersion = (DBVersion)request.getAttribute("databaseVersion");
+	Vector<String> updateScriptList = (Vector<String> )request.getAttribute("updateScriptList");
+%>
+
+<html>
+<head>
+
+<title>Database Install/Upgrade Utility</title>
+<link rel="stylesheet" type="text/css" 
+        href="<%= request.getContextPath() %>/admin/admin.css"></link>
+<script language="JavaScript" type="text/JavaScript" src="<%= request.getContextPath() %>/admin/admin.js"></script>
+<script language="JavaScript" type="text/JavaScript" src="<%= request.getContextPath() %>/help/help.js"></script>
+
+</head>
+<body>
+<img src="<%= request.getContextPath() %>/metacat-logo.png" width="100px" align="right"/> 
+<h2>Database Install/Upgrade Utility</h2>
+
+<%@ include file="page-message-section.jsp"%>
+
+<%
+if (databaseVersion != null && databaseVersion.getVersionString().equals("0.0.0")) {
+%>
+    <p>The system has detected that this is a new database. <br><br>
+     Please hit the Continue button to upgrade your database to version: <%= metacatVersion %>. <br><br>
+     <div class=warning>Warning: this will reinitialize your database.  If this is not a new database, hit the Cancel button and contact support at blah@blah.com </div><br><br>
+     The following scripts will be run: </p>
+
+        <ul>
+<%
+        for (int i = 0; i < updateScriptList.size(); i++) {
+%>
+                <li>
+                	<%= updateScriptList.elementAt(i) %>
+                </li>
+<%
+        }
+%>
+        </ul>
+        <input class=button type="button" value="Continue" onClick="forward('./admin?configureType=database&processForm=true')">
+		<input class=button type="button" value="Cancel" onClick="forward('./admin?configureType=configure&processForm=false')"> 
+<%
+} else if (databaseVersion != null) {
+%>
+    <p>The system has detected the following database version: <%= databaseVersion.getVersionString() %> <br><br>
+     Please hit the Continue button to upgrade your database to version: <%= metacatVersion.getVersionString() %> <br>
+    <div class=warning>Warning: this will update your database.  If the detected versions do not seem correct, hit the Cancel button and contact support at blah@blah.com </div><br><br> 
+     The following scripts will be run: </p> <br>
+        <ul>
+<%
+        for (int i = 0; i < updateScriptList.size(); i++) {
+%>
+                <li>
+                	<%= updateScriptList.elementAt(i) %>
+                </li>
+<%
+        }
+%>
+        </ul>
+		<input class=button type="button" value="Continue" onClick="forward('./admin?configureType=database&processForm=true')">
+		<input class=button type="button" value="Cancel" onClick="forward('./admin?configureType=configure&processForm=false')"> 
+<%
+} else {
+%>
+	<input class=button disabled type="button" value="Continue" onClick="forward('./admin?configureType=database&processForm=true')">
+	<input class=button type="button" value="Cancel" onClick="forward('./admin?configureType=configure&processForm=false')"> 
+<%
+} 
+%>
+
+<br clear="right"/>
+
+</body>
+</html>

Index: lib/admin/page-message-section.jsp
===================================================================
--- lib/admin/page-message-section.jsp	(nonexistent)
+++ lib/admin/page-message-section.jsp	(revision 4080)
@@ -0,0 +1,93 @@
+<%@ page    language="java" import="java.util.Vector" %>
+<% 
+/**
+ *  '$RCSfile$'
+ *    Copyright: 2008 Regents of the University of California and the
+ *               National Center for Ecological Analysis and Synthesis
+ *  For Details: http://www.nceas.ucsb.edu/
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ * 
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+%>
+
+<%  
+   if (request.getAttribute("processingSuccess") != null && ((Vector<String>)request.getAttribute("processingSuccess")).size() > 0) { 
+%> 
+   <div class=success-text>
+<%     
+      Vector<String> processingSuccesses = (Vector<String>)request.getAttribute("processingSuccess");
+      for (String processingSuccess : processingSuccesses) { 
+%>
+    	  -- &nbsp;<%= processingSuccess %> <br> 
+<%     
+       }   
+   }
+%>      
+   </div>
+
+<% 
+   if (request.getAttribute("processingMessage") != null && ((Vector<String>)request.getAttribute("processingMessage")).size() > 0) { 
+%> 
+   <div class=message-text>
+<%     
+      Vector<String> processingMessages = (Vector<String>)request.getAttribute("processingMessage");
+      for (String processingMessage : processingMessages) { 
+%>
+    	   -- &nbsp;<%= processingMessage %> <br> 
+<%     
+       }  
+   }
+%>      
+   </div>
+<% 
+   if (request.getAttribute("formFieldErrors") != null && ((Vector<String>)request.getAttribute("formFieldErrors")).size() > 0) { 
+%>
+   <div class=formfield-error-header>
+      Please correct the following form errors and resubmit: <br><br>
+   </div>  
+   <div class=formfield-error-text>
+<%     
+      Vector<String> formErrors = (Vector<String>)request.getAttribute("formFieldErrors");
+      for (String formError : formErrors) { 
+%>
+    	  -- &nbsp;<%= formError %> <br> 
+<%     
+       }     
+%>      
+   </div>
+<% 
+   } else if (request.getAttribute("processingErrors") != null && ((Vector<String>)request.getAttribute("processingErrors")).size() > 0) { 
+%>
+   <div class=error-header>
+      The following errors occurred.  Please correct errors if possible or contact your system adminstrator or contact support at blah@blah.com <br><br>
+   </div>  
+   <div class=error-text>
+<%     
+      Vector<String> processingErrors = (Vector<String>)request.getAttribute("processingErrors");
+      for (String processingError : processingErrors) { 
+%>
+    	  -- &nbsp;<%= processingError %> <br> 
+<%     
+       }     
+%>      
+   </div>
+
+<%
+   }
+%>
\ No newline at end of file

Index: lib/admin/metacat-configuration.jsp
===================================================================
--- lib/admin/metacat-configuration.jsp	(nonexistent)
+++ lib/admin/metacat-configuration.jsp	(revision 4080)
@@ -0,0 +1,201 @@
+<%@ page language="java" import="edu.ucsb.nceas.metacat.DBVersion,edu.ucsb.nceas.metacat.MetaCatVersion" %>
+
+<%
+	/**
+ *  '$RCSfile$'
+ *    Copyright: 2008 Regents of the University of California and the
+ *               National Center for Ecological Analysis and Synthesis
+ *  For Details: http://www.nceas.ucsb.edu/
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ * 
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+%>
+
+<%
+	MetaCatVersion metacatVersion = (MetaCatVersion)request.getAttribute("metaCatVersion"); 	
+	DBVersion databaseVersion = (DBVersion)request.getAttribute("databaseVersion");		
+    Boolean propsConfigured = (Boolean)request.getAttribute("propsConfigured");	
+    Boolean ldapConfigured = (Boolean)request.getAttribute("ldapConfigured");	
+    Boolean skinsConfigured = (Boolean)request.getAttribute("skinsConfigured");	
+    Boolean dbConfigured = (Boolean)request.getAttribute("dbConfigured");
+    Boolean metacatConfigured = (Boolean)request.getAttribute("metacatConfigured");
+%>
+
+<html>
+<head>
+<title>Metacat Configuration</title>
+<link rel="stylesheet" type="text/css" 
+        href="<%= request.getContextPath() %>/admin/admin.css"></link>
+</head>
+
+<body>
+<img src="<%= request.getContextPath() %>/metacat-logo.png" width="100px" align="right"/> 
+<h2>MetaCat Configuration</h2>
+
+All of the following sections must be in a configured state for Metacat to run properly:
+<br class="main-header">
+
+<%@ include file="page-message-section.jsp"%>
+<hr class=config>
+
+<table class=configuration-table>
+<%
+	if (ldapConfigured != null && ldapConfigured) {
+%>
+        <tr>
+        <td class=configured-tag>[configured] </td>
+		<td class=property-title> LDAP Configuration </td> 
+		<td class=configure-link> <a href="<%= request.getContextPath() %>/admin?configureType=ldap">Reconfigure Now</a> </td>
+        </tr>
+<%
+	} else {
+%>    		
+        <tr>
+ 		<td class=unconfigured-tag>[unconfigured] </td>  
+ 		<td class=property-title> LDAP Configuration </td>
+		<td class=configure-link> <a href="<%= request.getContextPath() %>/admin?configureType=ldap">Configure Now</a> </td>			
+    	</tr>
+<%
+	}
+%>
+
+<%
+	if (propsConfigured != null && propsConfigured) {
+%>
+        <tr>
+        <td class=configured-tag>[configured] </td>
+		<td class=property-title> Metacat System Properties </td> 
+		<td class=configure-link> <a href="<%= request.getContextPath() %>/admin?configureType=properties">Reconfigure Now</a> </td>
+        </tr>
+<%
+	} else {
+%>    		
+        <tr>
+ 		<td class=unconfigured-tag>[unconfigured] </td>  
+ 		<td class=property-title> Metacat System Properties </td>
+		<td class=configure-link> <a href="<%= request.getContextPath() %>/admin?configureType=properties">Configure Now</a> </td>			
+    	</tr>
+<%
+	}
+
+    if (skinsConfigured != null && skinsConfigured) {
+%>
+        <tr>
+        <td class=configured-tag>[configured] </td>
+		<td class=property-title> Skins Specific Properties </td> 
+		<td class=configure-link> <a href="<%= request.getContextPath() %>/admin?configureType=skins">Reconfigure Now</a> </td>
+        </tr>
+<%
+	} else {
+%>    		
+        <tr>
+ 		<td class=unconfigured-tag>[unconfigured] </td>  
+ 		<td class=property-title> Skins Specific Properties </td>
+		<td class=configure-link> <a href="<%= request.getContextPath() %>/admin?configureType=skins">Configure Now</a> </td>			
+    	</tr>
+<%
+	}
+    
+    if ((dbConfigured != null && dbConfigured) ||
+    		(metacatVersion != null && databaseVersion != null && 
+    				metacatVersion.compareTo(databaseVersion) == 0)) {
+%>
+    	<tr>
+    	<td class=configured-tag>[configured] </td>
+    	<td class=property-title> Database Installation/Upgrade </td> 
+		<td class=configure-link> Version: <%= databaseVersion.getVersionString() %> </td>    		
+    	</tr>
+<%
+	} else {
+%>    		
+    	<tr>
+    	<td class=unconfigured-tag>[unconfigured] </td>  
+    	<td class=property-title> Database Installation/Upgrade </td>
+<%
+	if (propsConfigured != null && propsConfigured) {
+%>
+        	
+		<td class=configure-link> <a href="<%= request.getContextPath() %>/admin?configureType=database">Configure Now</a> </td>			
+        	
+<%
+	} else {
+%> 
+		<td class=configure-link> Configure System Properties First </td>
+<%
+				}
+			%>     	
+    	</tr>
+<%
+	}
+%>
+</table>
+<hr class=config>
+
+<%
+	if (metacatConfigured != null && metacatConfigured) {
+%>
+	<br>
+	<h3>Configuring Geoserver</h3>
+	<p>Metacat ships with <a href="http://docs.codehaus.org/display/GEOS/Home">Geoserver</a> to handle the spatial functionality.
+	   Regardless of whether you plan on using the spatial functionality you should,
+	   for security purposes, configure geoserver initially so that it doesn't use
+	   the default password.
+	   To configure geoserver with a new admin password:
+	   <ol>
+	    <li> Point your browser to 
+	     <a href="<%= request.getScheme() + "://" +
+	       request.getServerName() + ":" + request.getServerPort() +
+              request.getContextPath() %>/geoserver.jsp"><%= request.getScheme() + "://" +
+	                      request.getServerName() + ":" + request.getServerPort() +
+			                      request.getContextPath() %>/geoserver.jsp</a>. </li>
+	     <li> Login using the default username and password ( <em>admin</em> / <em>geoserver</em> ) </li>
+	    <li> Point your browser to 
+	     <a href="<%= request.getScheme() + "://" +
+	       request.getServerName() + ":" + request.getServerPort() +
+              request.getContextPath() %>/config/loginEdit.do"><%= request.getScheme() + "://" +
+	                      request.getServerName() + ":" + request.getServerPort() +
+			                      request.getContextPath() %>/config/loginEdit.do</a>, enter a new user and password then submit. </li>
+	     <li> In the upper-left, click <em>Apply</em> then <em>Save</em> to save your new password.
+
+
+	    </ol>
+	</p>
+	
+	<hr class=config>
+	<br clear="right"/>
+	<h3>Restarting Metacat</h3>
+	<p>The simplest way to restart metacat is to restart the entire servlet engine.
+	   For Tomcat, this would mean calling "$TOMCAT_HOME/bin/tomcat.sh restart" or
+	   an equivalent command appropriate to your operating system. After restarting,
+	   you can access your new Metacat server at the URL:
+ 	  <a href="<%= request.getScheme() + "://" + 
+	       request.getServerName() + ":" + request.getServerPort() +
+	       request.getContextPath() %>"><%= request.getScheme() + "://" + 
+                request.getServerName() + ":" + request.getServerPort() +
+                request.getContextPath() %></a>
+	</p>
+
+	<hr class=config>
+	<%@ include file="./login-footer-section.jsp"%>
+
+	</body>
+	</html>
+<%  	
+    }
+%>

